-- Covert Operations Mission_Launch_Button
-- Author: sman
-- DateCreated: 12/21/17 8:14:35 AM
--------------------------------------------------------------

--print ("CO Mission Launch Button")

include("IconSupport.lua")


function COButtonFunction1(playerID, unitID)
	local pPlayer = Players[Game.GetActivePlayer()]											-- Get basic player, unit, plot data for processing
	local pUnit = UI.GetHeadSelectedUnit()													-- Default Cover Operator is the currently "selected" uit	
	
	if (pUnit:GetMoves() > 0) and (not pUnit:IsEmbarked()) then								-- Tests for when to enable the mission button, i.e. still have moves, not embarked	
		LuaEvents.CovertMissionPopup()
		--Controls.COBackground1:SetHide(true)
	end
end
Controls.COButton1:RegisterCallback(Mouse.eLClick, COButtonFunction1 )
IconHookup(35, 45, "SMAN_COVERT_OPS_ACTION_ATLAS", Controls.COImage1 )
Controls.COBackground1:SetHide(true)


function Selection1(playerID, unitID, x, y, k, isSelected)
	if isSelected then
		local pPlayer = Players[playerID]
		local pUnit = pPlayer:GetUnitByID(unitID);
		local pPlot = pUnit:GetPlot()
		--local unitType = pUnit:GetUnitClassType()

		if (GameInfo.Units[pUnit:GetUnitType()].IsCovertOperatorUnit ~= 0) and (pUnit:GetMoves() > 0) and (not pUnit:IsEmbarked()) then	
			Controls.COBackground1:SetHide(false)
			Controls.COButton1:SetDisabled(false)
			local SOToolTip = "Conduct a Covert Operation"
			Controls.COButton1:LocalizeAndSetToolTip("" .. SOToolTip .. "")

			--print("--> Unit " .. pUnit:GetName() .. " is a SO at location: " .. pPlot:GetX() .. " / " .. pPlot:GetY())
		else
			--print("--> Unit " .. pUnit:GetName() .. " is NOT a SO at location: " .. pPlot:GetX() .. " / " .. pPlot:GetY())			
		end
	else
		Controls.COBackground1:SetHide(true)
		--selUnit = nil;
	end
end
Events.UnitSelectionChanged.Add(Selection1)